{
  lib,
  config,
  pkgs,
  ...
}:

lib.optionalString (lib.elem "nvim::lsp::c" config.machine.pkgs) # lua
  ''
    lspconfig.ccls.setup {
      cmd = { "${pkgs.ccls}/bin/ccls" },
      init_options = {
        compilationDatabaseDirectory = "build";
        index = {
          threads = 0;
        };
        clang = {
          excludeArgs = { "-frounding-math"} ;
        };
      }
    }
  ''
